/*-------------------------------------------------------------------
Name......... cctalk_acceptor.h
Author....... Lee Weekes
Date......... 15/03/07
Description.. CRC routines.
-------------------------------------------------------------------*/


/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef CCTALK_ACCEPTOR_H
#define CCTALK_ACCEPTOR_H

#define		CCTALK_REQUESTSTATUS					248
#define		CCTALK_REQUESTVARIABLESET				247
#define		CCTALK_REQUESTDATABASEVERSION			243
#define		CCTALK_TESTSOLENOIDS					240
#define		CCTALK_TESTOUTPUTLINES					238
#define		CCTALK_READINPUTLINES					237
#define		CCTALK_READOPTOSTATES					236
#define		CCTALK_LATCHOUTPUTLINES					233
#define		CCTALK_PERFORMSELFTEST					232
#define		CCTALK_MODIFYINHIBITSTATUS				231
#define		CCTALK_INHIBITSTATUS					230
#define		CCTALK_READCREDITORERRORCODES			229
#define		CCTALK_MODIFYMASTERINHIBITSTATUS		228
#define		CCTALK_REQUESTMASTERINHIBITSTATUS		227
#define		CCTALK_REQUESTINSERTIONCOUNTER			226
#define		CCTALK_REQUESTACCEPTCOUNTER				225
#define		CCTALK_MODIFYSORTEROVERRIDESTATUS		222
#define		CCTALK_REQUESTSORTEROVERRIDESTATUS		221
#define		CCTALK_ENTERNEWPINNUMBER				219
#define		CCTALK_ENTERPINNUMBER					218
#define		CCTALK_REQUESTDATASTORAGEAVAILABILITY	216
#define		CCTALK_READDATABLOCK					215
#define		CCTALK_WRITEDATABLOCK					214
#define		CCTALK_REQUESTOPTIONFLAGS				213
#define		CCTALK_REQUESTCOINPOSITION				212
#define		CCTALK_MODIFYSORTERPATHS				210
#define		CCTALK_REQUESTSORTERPATHS				209
#define		CCTALK_TEACHMODECONTROL					202
#define		CCTALK_REQUESTTEACHSTATUS				201
#define		CCTALK_CONFIGURATIONTOEEPROM			199
#define		CCTALK_COUNTERSTOEEPROM					198
#define		CCTALK_CREATIONDATE						196
#define		CCTALK_LASTMODIFICATIONDATE				195
#define		CCTALK_REJECTCOUNTER					194
#define		CCTALK_FRAUDCOUNTER						193
#define		CCTALK_MODIFYDEFAULTSORTERPATHS			189
#define		CCTALK_REQUESTDEFAULTSORTERPATHS		188
#define		CCTALK_MODIFYCOINID						185
#define		CCTALK_REQUESTCOINID					184
#define		CCTALK_UPLOADWINDOW						183
#define		CCTALK_DOWNLOADCALIBRATIONINFO			182
#define		CCTALK_MODIFYSECURITYSETTING			181
#define		CCTALK_REQUESTSECURITYSETTING			180
#define		CCTALK_MODIFYBANKSELECT					179
#define		CCTALK_REQUESTBANKSELECT				178
#define		CCTALK_REQUESTALARMCOUNTER				176
#define		CCTALK_REQUESTTHERMISTORREADING			173
#define		CCTALK_REQUESTBASEYEAR					170
#define		CCTALK_MODIFYINHIBITOVERRIDEREGISTERS	162
#define		CCTALK_SETACCEPTLIMIT					135

#define		CCTALK_OBTAINTEACHDATA					0
#define		CCTALK_ABORTTEACHDATA					1

#define		CCTALK_PROGRAMCOIN						0
#define		CCTALK_MODIFYCREDITCODE					1
#define		CCTALK_DELETECOIN						2
#define		CCTALK_PROGRAMTOKEN						3
#define		CCTALK_DELETETOKEN						4

#define 	CCTALK_ZEROLENGTH						0

/* Possible operation modes							*/
#define 	OPERATION_MODE0							0
#define 	OPERATION_MODE1							1
#define 	OPERATION_MODE2							2
#define 	OPERATION_MODE3							3

#include "cctalk_acceptor.p"

#endif