/*-------------------------------------------------------------------
Name......... cctalk_core.h
Author....... Lee Weekes
Date......... 09/03/07
Description.. The standard set of cctalk commands that every cctalk
............. device needs to support. For a list of these please
............. consult with the cctalk specification cctalk44-2.pdf
............. (Issue 4.4, 28/12/2005)
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef CCTALK_CORE_H
#define CCTALK_CORE_H

/* Defines for the CCTALK Header Functions	*/
#define		CCTALK_SIMPLEPOLL		254
#define		CCTALK_MANUFACTURERID	246
#define		CCTALK_CATEGORYID		245
#define		CCTALK_PRODUCTCODE		244
#define		CCTALK_BUILDCODE		192

#include "cctalk_core.p"

#endif /*	CCTALK_CORE_H			*/