/*-------------------------------------------------------------------
Name......... cctalk_coreplus.c
Author....... Lee Weekes
Date......... 09/03/07
Description.. The extended set of cctalk commands that every cctalk
............. device needs to support. For a list of these please
............. consult with the cctalk specification cctalk44-2.pdf
............. (Issue 4.4, 28/12/2005)
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/
#ifndef CCTALK_COREPLUS_H
#define CCTALK_COREPLUS_H

#include "cctalk_coreplus.p"

#define		CCTALK_SERIALNUMBER					242
#define		CCTALK_REQUESTCOMMSREVISION			4
#define		CCTALK_CLEARCOMMSVARIABLES			3
#define		CCTALK_REQUESTCOMMSVARIABLES		2
#define		CCTALK_RESET						1

BYTE TransmitSerialNumber(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);
BYTE ReceiveSerialNumber(const UBYTE port, const UBYTE slave, ULONG *serialNumber, const SECURITY_KEY crcMode);

BYTE TransmitCommsRevision(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);
BYTE ReceiveCommsRevision(const UBYTE port, const UBYTE slave, UBYTE *level, UBYTE *majorRevision, UBYTE *minorRevision, const SECURITY_KEY crcMode);

BYTE TransmitClearCommsStatusVariables(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);
BYTE ReceiveClearCommsStatusVariables(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);

BYTE TransmitCommsStatusVariables(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);
BYTE ReceiveCommsStatusVariables(const UBYTE port, const UBYTE slave, BYTE *rx, BYTE *rxBytes, BYTE *rxBad, const SECURITY_KEY crcMode);

BYTE TransmitReset(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);
BYTE ReceiveReset(const UBYTE port, const UBYTE slave, const SECURITY_KEY crcMode);

#endif