/*-------------------------------------------------------------------
Name......... cctalk_validator.h
Author....... Lee Weekes
Date......... 15/03/07
Description.. The bill validator cctalk routines.
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/
#ifndef CCTALK_VALIDATOR_H
#define CCTALK_VALIDATOR_H

#define 	CCTALK_ROUTE_BILL_RETURN 				0
#define 	CCTALK_ROUTE_BILL_CASHBOX				1
#define 	CCTALK_ROUTE_BILL_EXTEND				255


#define 	CCTALK_E_BILL_MASTER					0
#define 	CCTALK_E_BILL_ESCROW					1
#define 	CCTALK_E_I_BILL_SERIAL					2
#define 	CCTALK_E_I_BILL_DIP						3

#define 	CCTALK_E_STACK_REMOVED					11
#define 	CCTALK_E_STACK_INSERTED					12

#define		CCTALK_OPERATEMOTORS					239
#define		CCTALK_READBUFFEREDBILLEVENTS			159
#define		CCTALK_MODIFYBILLID						158
#define		CCTALK_REQUESTBILLID					157
#define		CCTALK_COUNTRYSCALINGFACTOR				156
#define		CCTALK_BILLPOSITION						155
#define		CCTALK_ROUTEBILL						154
#define		CCTALK_MODIFYBILLOPERATINGMODE			153
#define		CCTALK_BILLOPERATINGMODE				152
#define		CCTALK_TESTLAMPS						151
#define		CCTALK_INDIVIDUALACCEPTCOUNTER			150
#define		CCTALK_INDIVIDUALERRORCOUNT				149
#define		CCTALK_READOPTOVOLTAGES					148
#define		CCTALK_PERFORMSTACKERCYCLE				147
#define		CCTALK_OPERATEBIDIRECTIONALMOTORS		146
#define		CCTALK_CURRENCYREVISION					145
#define		CCTALK_UPLOADBILLTABLES					144
#define		CCTALK_BEGINBILLTABLES					143
#define		CCTALK_FINISHBILLTABLEUPGRADE			142
#define		CCTALK_FIRMWAREUPGRADE					141
#define		CCTALK_UPLOADFIRMWARE					140
#define		CCTALK_BEGINFIRMWAREUPGRADE				139
#define		CCTALK_FINISHFIRMWAREUPGRADE			138
#define		CCTALK_SWITCHENCRYPTIONCODE				137
#define		CCTALK_STOREENCRYPTIONCODE				136

#define 	CCTALK_E_BILL_STACKER					14

#define 	CCTALK_E_BILL_BARCODE					20

#define 	CCTALK_BYTE_LENGTH						256
#define		CCTALK_WORD_LENGTH						65536

#include "cctalk_validator.p"

#endif