/*-------------------------------------------------------------------
Name......... e2rom.h
Author....... Ed Langley
Date......... 28/09/2004
Description.. This file contains the definitions and data types for the
............. Pluto 6 eeprom driver.
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef PERIPHERAL_E2ROM
#define PERIPHERAL_E2ROM
/****	Defines */

#define		NM24C04	0xA0

#define		BLOCK0 0x00
#define		BLOCK1 0x02

#define		BLOCK_SIZE 256


#define		E2ROM_PAGE_SIZE 16

/****	Type Definitions */

typedef	struct e2rcfg
{
	const	DEVICE*	MbusDevice;
	BYTE	Mbusaddr;
	TIME	retrytime;
	BYTE	retries;
} E2RCFG;

typedef	struct	e2rvars
{
	const	E2RCFG*	config;
} E2RVARS;

typedef enum
{
	E2_PASSED,
	E2_READ_FAILED,
	E2_OUT_OF_BOUNDS,
	E2_WRITE_FAILED,
} E2_ERROR_TABLE;

/****** Prototypes ******/

#include "e2rom.p"

#endif

/*************************************************************************/
