/*-------------------------------------------------------------------
Name......... microtouch.h
Author....... Marc Adams
Date......... 24/07/03
Description.. Header file for the MicroTouch touch screen driver
............. Ported from the Pluto 5 driver
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef PERIPHERAL_MICROTOUCH
#define PERIPHERAL_MICROTOUCH
/****	Defines */

/* timeouts - multiples of 10ms */
#define MICROTOUCH_NORMAL_TIMEOUT	10
#define MICROTOUCH_RESET_TIMEOUT	100

/* ascii */
#define SOH	0x01
#define CR	0x0d

typedef enum microtouchsts
{
	MICROTOUCH_COMMS_OK,
	MICROTOUCH_COMMS_FAIL,
	MICROTOUCH_COMMS_TIMEOUT,
	MICROTOUCH_COMMS_INVALID_RESPONSE
} MICROTOUCHSTS;

/****	Type Definitions */

typedef struct microtouchmodel
{
	BYTE make[32];
	BYTE model[32];
	BYTE revision[32];
} MICROTOUCHMODEL;

typedef struct microtouchparams
{
	BYTE data[32];
} MICROTOUCHPARAMS;

typedef	struct microtouchcfg
{
	const DEVICE* serial_dev;
	BYTE serial_channel;
} MICROTOUCHCFG;

typedef struct microtouchvars
{
	const MICROTOUCHCFG* config;
} MICROTOUCHVARS;


/****	Prototypes */

	#include	"microtouch.p"

#endif

/*************************************************************************/
